Athena
ClientsClient_name

Soft-delete an Athena client

Soft-deletes the client in catalog storage and removes it from active runtime routing.

DELETE
/admin/clients/{client_name}

Path Parameters

client_name*string

Header Parameters

apikey*string

The static admin key configured as ATHENA_KEY_12. Authorization headers (Bearer <key>), X-API-Key, X-Athena-Key, or ?api_key= are also accepted.

Response Body

application/json

application/json

curl -X DELETE "https://athena-cluster.com/admin/clients/string" \  -H "apikey: string"
{
  "client": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "client_name": "string",
    "description": "string",
    "pg_uri": "string",
    "pg_uri_env_var": "string",
    "config_uri_template": "string",
    "source": "string",
    "is_active": true,
    "is_frozen": true,
    "last_synced_from_config_at": "2019-08-24T14:15:22Z",
    "last_seen_at": "2019-08-24T14:15:22Z",
    "metadata": {},
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z"
  }
}
Empty
{
  "status": "error",
  "message": "string",
  "error": "string"
}